_ENCRYPT_=0    --LUA脚本加密

--数据类型定义
VT_LW = 1    --变量地址
VT_RW = 2    --FLASH存储
VT_0x = 10    --线圈
VT_1x = 11    --输入点
VT_3x = 12    --输入寄存器
VT_4x = 13    --保持寄存器

_EN_ON_UPDATA_API_  = 1

regAddr = {

    sysCfg0 = 0x0110,
    sysLang = 0x0119,
    sysBLLevel = 0x0121,
    sysSndVol = 0x0140,

    sysParamCtrl = 0x011A,
    sysParamSlct = 0x011B,

}

function on_init()
    _EN_ON_UPDATA_API_ = 0

    dofile('sysParam.lua')
    sysParam.init()

    set_uint16(VT_4x,0x0000, 0x55AA)
    set_bit(VT_0x,0x1000, 0x0001)
    print('fst init...')
    _EN_ON_UPDATA_API_ = 1

end

--修改变量
function on_update(slave,vtype,addr)

    if _EN_ON_UPDATA_API_ == 0
    then
        return
    end

    sysParam.set(slave, vtype, addr)
end
